package com.contentinsights.contentinsightssdk;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.webkit.WebView;

import com.contentinsights.sdk.ContentInsights;

public class LoremIpsumHtmlActivity extends AppCompatActivity {

    private WebView loremIpsumView;
    private String articleId;
    private String articleUrl;

    private static String KEY_IS_ALREADY_SENT_READ_REQUEST = "keyAlreadySentReadReq";

    boolean isAlreadySentReadRequest = false;


    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_html);
        loremIpsumView = findViewById(R.id.lorem_ipsum);
        if (savedInstanceState != null) {
            isAlreadySentReadRequest = savedInstanceState.getBoolean(KEY_IS_ALREADY_SENT_READ_REQUEST);
        }

        getData(getIntent());

        ContentInsights.tracking().startArticleReadTracker(articleUrl, articleId);
        ContentInsights.tracking().startAttentionTracker(articleUrl, articleId);
        ContentInsights.tracking().trackScrolling(loremIpsumView);
    }

    @Override
    protected void onStart() {
        super.onStart();
        ContentInsights.tracking().startAttention();
        loremIpsumView.loadUrl("file:///android_asset/index.html");

    }

    @Override
    public void onResume() {
        super.onResume();
        ContentInsights.tracking().startAttention();
    }

    @Override
    public void onPause() {
        super.onPause();
        ContentInsights.tracking().pauseAttention();
    }

    @Override
    public void onStop() {
        super.onStop();
        ContentInsights.tracking().pauseAttention();
    }

    @Override
    public void onDestroy() {
        ContentInsights.tracking().pauseAttention();
        if(isFinishing()) {
            ContentInsights.tracking().flushArticle();
        }
        super.onDestroy();
    }


    @Override
    protected void onSaveInstanceState(Bundle outState) {
        outState.putBoolean(KEY_IS_ALREADY_SENT_READ_REQUEST, isAlreadySentReadRequest);
        super.onSaveInstanceState(outState);
    }

    private void getData(Intent intent) {
        articleId = intent.getStringExtra("articleId");
        articleUrl = intent.getStringExtra("articleUrl");
    }
}
