package com.contentinsights.contentinsightssdk.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.contentinsights.contentinsightssdk.R;
import com.contentinsights.contentinsightssdk.models.Article;
import java.util.List;

public class ArticlesListAdapter extends BaseAdapter
{
    private Context context;
    private List<Article> articles;
    private int rowLayout;
    private LayoutInflater inflater = null;

    public ArticlesListAdapter(Context context, List<Article> articles, int rowLayout)
    {
        this.context = context;
        this.articles = articles;
        this.rowLayout = rowLayout;
        this.inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        this.articles.get(0).setTitle("Lorem Ipsum Html");
    }

    @Override
    public int getCount() {
        return articles.size();
    }

    @Override
    public Article getItem(int i) {
        return articles.get(i);
    }

    @Override
    public long getItemId(int i) {
        return Long.parseLong(articles.get(i).getGuid());
    }

    @Override
    public View getView(int i, View convertView, ViewGroup viewGroup) {
        View vi = convertView;
        if (vi == null)
            vi = inflater.inflate(this.rowLayout, null);

        Article article = this.getItem(i);

        // Set article title
        TextView title = vi.findViewById(R.id.tvTitle);
        title.setText(article.getTitle());

        return vi;
    }
}
