package com.contentinsights.contentinsightssdk.helpers;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.Context;

public class AppHelper
{
    /**
     * Display dialog message
     *
     * @param context                Context (activity)
     * @param message                Message to be shown
     * @param canceledOnTouchOutside If user can close dialog by touching outside the dialog
     * @return void
     */
    public ProgressDialog ShowProgressMessage(Context context, String message, Boolean canceledOnTouchOutside) {
        ProgressDialog dlg = new ProgressDialog(context);
        dlg.setMessage(message);
        dlg.setCanceledOnTouchOutside(canceledOnTouchOutside);
        dlg.show();

        return dlg;
    }

    /**
     * Dismiss dialog (if needed)
     *
     * @param dlg Dialog box
     * @return void
     */
    public void dismissDialog(ProgressDialog dlg)
    {
        if (dlg != null) {
            dlg.dismiss();
        }
    }

    /**
     * Display message with OK button
     *
     * @param activity
     * @param title
     * @param message
     * @return void
     */
    public void showActivityErrorMessage(Activity activity, String title, String message)
    {
        new AlertDialog.Builder(activity)
                .setIcon(android.R.drawable.ic_dialog_alert)
                .setTitle(title)
                .setMessage(message)
                .setPositiveButton("OK", null)
                .show();
    }
}
