package com.contentinsights.contentinsightssdk.models;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class Article
{
    private String       guid;
    private String       title;
    private String       description;
    private String       link;
    private String       publishDate;
    private String       accessLevel;
    private String       type;
    private int          commentsCount;
    private int          wordCount;
    private int          fbCount;
    private int          gpCount;
    private int          lnCount;
    private int          okCount;
    private int          pnCount;
    private int          vkCount;
    private ArrayList<String> categories = new ArrayList<>();
    private ArrayList<String> authors = new ArrayList<>();
    private ArrayList<String> tags = new ArrayList<>();

    public void setGuid(String guid) { this.guid = guid; }
    public String getGuid() {
        return guid;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getTitle() {
        return title;
    }

    public void setDescription(String description) {
        this.description = description;
    }
    public String getDescription() {
        return description;
    }

    public void setLink(String link) {
        this.link = link;
    }
    public String getLink() {
        return link;
    }

    public void addCategory(String category) { this.categories.add(category); }

    public ArrayList<String> getCategories() {
        return categories;
    }

    public void addTag(String tag) { this.tags.add(tag); }

    public ArrayList<String> getTags() {
        return tags;
    }

    public void addAuthor(String author) {
        this.authors.add(author);
    }

    public ArrayList<String> getAuthors() {
        return authors;
    }

    public void setPublishDate(String publishDate){ this.publishDate = publishDate; }
    public String getPublishDate(){ return this.publishDate; }

    public void setCommentsCount(int commentsCount) { this.commentsCount = commentsCount; }
    public int getCommentsCount() { return this.commentsCount; }

    public void setAccessLevel(String accessLevel) { this.accessLevel = accessLevel; }
    public String getAccessLevel() { return accessLevel; }

    public void setType(String type) { this.type = type; }
    public String getType() { return type; }

    public int getWordCount() { return wordCount; }
    public void setWordCount(int wordCount) { this.wordCount = wordCount; }

    public int getFbCount() { return fbCount; }
    public void setFbCount(int fbCount) { this.fbCount = fbCount; }

    public int getGpCount() { return gpCount; }
    public void setGpCount(int gpCount) { this.gpCount = gpCount; }

    public int getLnCount() { return lnCount; }
    public void setLnCount(int lnCount) { this.lnCount = lnCount; }

    public int getOkCount() { return okCount; }
    public void setOkCount(int okCount) { this.okCount = okCount; }

    public int getPnCount() { return pnCount; }
    public void setPnCount(int pnCount) { this.pnCount = pnCount; }

    public int getVkCount() { return vkCount; }
    public void setVkCount(int vkCount) { this.vkCount = vkCount; }

    /**
     * Generate comma separated string from the list
     * @param list
     * @return
     */
    private String generateStringFromArray(List<String> list) {
        String result = "";
        for (int i = 0; i < list.size(); i++) {
            String element = list.get(i);

            if (result.isEmpty()) {
                result = element;
            } else {
                result += "," + element;
            }
        }

        return result;
    }
}
