package com.contentinsights.sdk;

/**
 * Content Insights dedicated {@link RuntimeException RuntimeException} implementation
 */
public class ContentInsightsException extends RuntimeException {

    /**
     * Generic message used for exceptions where bad data is passed to method or constructor.
     */
    public static final String BAD_DATA =
            "Some of parameters are not allowed to be null, empty or negative. Please check the docs.";

    /**
     * @param message A message that needs to be shown in logs  when the exception gets thrown.
     */
    public ContentInsightsException(String message) {
        super(message);
    }
}
