package com.contentinsights.sdk.api;

/**
 * Article reading tracker. It tracks articles being opened and read.
 */
public interface ArticleReadTracker {

    /**
     * Method for getting instance of {@link ArticleReadParams}
     * @return Reading parameters that should be tracked. See also {@link ArticleReadParams}
     */
    ArticleReadParams getParams();

    /**
     * Requesting tracking that article is being loaded and read.
     */
    void sendArticleLoadRequest();

    /**
     * Sets flag if page is loaded.
     *
     * @param status true or false.
     */
    void setPageLoaded(boolean status);
}
