package com.contentinsights.sdk.api;

import com.contentinsights.sdk.ContentInsightsException;

public class AttentionTimeParams {

    private String articleId;
    private String domainId;
    private String articleUrl;
    private String referrer;

    public AttentionTimeParams(String domainId, String articleUrl) {
        if (domainId == null || domainId.isEmpty()) {
            throw new ContentInsightsException(ContentInsightsException.BAD_DATA);
        }
        if (articleUrl == null || articleUrl.isEmpty()) {
            throw new ContentInsightsException(ContentInsightsException.BAD_DATA);
        }
        this.domainId = domainId;
        this.articleUrl = articleUrl;
    }

    public boolean hasRequiredData() {
        if (articleUrl == null || articleUrl.isEmpty()) {
            return false;
        }

        if (domainId == null || domainId.isEmpty()) {
            return false;
        }

        return true;
    }

    public String getDomainId() {
        return domainId;
    }

    public String getArticleId() {
        return articleId;
    }

    public AttentionTimeParams setArticleId(String articleId) {
        this.articleId = articleId;
        return this;
    }

    public AttentionTimeParams setReferrer(String referrer) {
        this.referrer = referrer;
        return this;
    }

    public String getArticleUrl() {
        return articleUrl;
    }

    public String getReferrer() {
        return referrer;
    }
}
