package com.contentinsights.sdk.helpers;

import java.util.List;

public class StringJoiner {

    private String glue;
    private List<?> elements;

    public StringJoiner(String glue, List<?> elements) {
        this.glue = glue;
        this.elements = elements;
    }

    public String joined() {
        if (elements == null || elements.isEmpty()) {
            return null;
        }
        if (elements.size() == 1) {
            return elements.get(0).toString();
        }

        StringBuffer sb = new StringBuffer();
        sb.append(elements.get(0));
        for (int i = 1; i < elements.size(); i++) {
            sb.append(glue);
            sb.append(elements.get(i));
        }
        return sb.toString();
    }
}
