package com.contentinsights.sdk.impl;

class InternalAttentionTimeParams {

    private long attentionTime = 0L;
    private long attentionTimeSaved = 0L;
    private int position = 0;
    private long startTime;

    private boolean isActionMade = false;
    private boolean isInFocus = false;

    public void setAttentionTime(long attTime) {
        this.attentionTime = attTime;
    }

    public void setAttentionTimeSaved(long lastSentAttentionTime) {
        this.attentionTimeSaved += lastSentAttentionTime;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public void setInFocus(boolean inFocus) {
        this.isInFocus = inFocus;
    }

    public void setActionMade(boolean actionMade) {
        this.isActionMade = actionMade;
    }

    public String getAttentionTime() {
        return String.valueOf(attentionTime + attentionTimeSaved);
    }

    public String getTimePassedFrom(long previousTime) {
        return "" + (attentionTime - previousTime);
    }

    public long getStartTime() {
        return startTime;
    }

    public String getPosition() {
        return String.valueOf(position);
    }

    // TODO Investigate do we really need using Long.MAX_VALUE
    public boolean shouldSendAttentionRequest() {
        return
                isInFocus
                // && isActionMade
                && (attentionTime < Long.MAX_VALUE);
    }
}
