package com.contentinsights.sdk.impl;

import android.support.annotation.Nullable;
import android.webkit.WebView;
import android.widget.ScrollView;

import com.contentinsights.sdk.api.ArticleReadTracker;
import com.contentinsights.sdk.api.AttentionTimeTracker;
import com.contentinsights.sdk.api.ContentInsightsSdk;

public class NullSdk implements ContentInsightsSdk {

    private AttentionTimeTracker att = new NullAttentionTimeTracker();
    private ArticleReadTracker art = new NullArticleReadTracker();

    @Override
    public AttentionTimeTracker startAttentionTracker(String articleUrl, String articleId, @Nullable String referrerUrl) {
        return att;
    }

    @Override
    public AttentionTimeTracker startAttentionTracker(String articleUrl, String articleId) {
        return att;
    }

    @Override
    public ArticleReadTracker startArticleReadTracker(String articleUrl, String articleId, @Nullable String referrerUrl) {
        return art;
    }

    @Override
    public ArticleReadTracker startArticleReadTracker(String articleUrl, String articleId) {
        return art;
    }

    @Override
    public void flushArticle() {}

    @Override
    public void setNewScrollPosition(int position) {}

    @Override
    public void trackScrolling(ScrollView scrollView) {}

    @Override
    public void trackScrolling(WebView webView) {}

    @Override
    public void startAttention() {}

    @Override
    public void pauseAttention() {}

}
