package com.contentinsights.sdk.requests;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CompositeTrackingRequest implements TrackingRequest {

    private List<TrackingRequest> allRequests;

    public CompositeTrackingRequest(TrackingRequest... requests) {
        allRequests = Arrays.asList(requests);
    }

    @Override
    public void send(Map<String, String> params) {
        for (TrackingRequest request: allRequests) {
            request.send(new HashMap<>(params));
        }
    }
}
