package com.contentinsights.sdk.requests;

import android.util.Log;

import java.util.Map;

public class LoggingTrackingRequest implements TrackingRequest {

    private String tag;
    private String apiUrl;

    public LoggingTrackingRequest(String tag, String apiUrl) {
        this.tag = tag.trim();
        this.apiUrl = apiUrl.trim();
    }

    @Override
    public void send(Map<String, String> params) {
        if (params == null || params.isEmpty()) {
            Log.d(tag, "No Params");
            return;
        }

        String joiner = "; ";

        String message = apiUrl + ": " + makeMessage(params, joiner);
        Log.d(tag, message);
    }

    private String makeMessage(Map<String, String> params, String joiner) {
        StringBuffer sb = new StringBuffer();

        for (Map.Entry<String, String> item: params.entrySet()) {
            if (item.getValue() == null || item.getValue().isEmpty()) {
                continue;
            }
            sb
                .append(item.getKey())
                .append(": ")
                .append(item.getValue())
                .append(joiner);
        }

        sb.append("\n");

        return sb.toString();
    }
}
