package com.contentinsights.sdk.helpers;

import org.junit.Test;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

public class StringJoinerTest {

    @Test
    public void emptyData() {
        String result = new StringJoiner(", ", Collections.emptyList()).joined();
        assertNull(result);
    }

    @Test
    public void noData() {
        String result = new StringJoiner(", ", null).joined();
        assertNull(result);
    }

    @Test
    public void singleItem() {
        List<String> singleItem = new ArrayList<>();
        singleItem.add("Joe");

        String result = new StringJoiner(", ", singleItem).joined();

        assertEquals("Joe", result);
    }

    @Test
    public void twoItems() {
        List<String> items = new ArrayList<>();
        items.add("Jack");
        items.add("Jill");

        String result = new StringJoiner("->", items).joined();

        assertEquals("Jack->Jill", result);
    }

    @Test
    public void multipleItems() {
        List<String> items = new ArrayList<>();
        items.add("one");
        items.add("two");
        items.add("three");
        items.add("four");
        items.add("five");

        String result = new StringJoiner(":", items).joined();

        assertEquals("one:two:three:four:five", result);
    }
}